//
// GrayCouncil
// Copyright 1996 by Trygve Isaacson. All Rights Reserved.
//
// This file contains the GrayCouncil MacApp test program's
// application class definition.
//

#ifndef __UMYAPPLICATION__
#define __UMYAPPLICATION__

#include "UApplication.h"

#include "GrayCouncilMA.h"

class TMyApplication: public TApplication
	{
	MA_DECLARE_CLASS;

	public:
		
		TMyApplication();
		virtual ~TMyApplication();

		void	IMyApplication();

		virtual void DoSetupMenus();
		virtual void DoMenuCommand(CommandNumber aCommand);
		virtual void DoEvent(EventNumber eventNumber, TEventHandler* source, TEvent* event);
		virtual Boolean DoIdle(IdlePhase phase);
		virtual void DoAboutBox();

	protected:
	
		void	PoseExampleDialog(UInt32 dialogIndex);
		void	SetupExampleDialog(UInt32 dialogIndex, TWindow* itsWindow);
		void	CleanupExampleDialog(UInt32 dialogIndex, TWindow* itsWindow);
		void	EnableDisableDialog(UInt32 dialogIndex, TWindow* itsWindow, Boolean enable);
		
		void	ToggleButtons(TButton* buttonToDisable, TButton* buttonToEnable);
		
		UInt32					mCurrentDialogIndex;
		AGAProgressIndicatorMA*	mProgressIndicator1;	// valid while it is idling
		AGAProgressIndicatorMA*	mProgressIndicator2;	// valid while it is idling
		Boolean					mMovingProgressOrigin;	// true if ind. 2 has moving origin
		Boolean					mSkipNext;				// toggle to make origin move slower than value
	};

#endif // __UMYAPPLICATION__

